<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>


<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'TrayInfo'">  TrayInfo</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template match="/data">
<xsl:if test="@action = 'TrayInfo'">
	<xsl:call-template name="TrayInfo"/>
</xsl:if>
</xsl:template>


<xsl:template name="TrayInfo">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>		
		<xsl:call-template name="error"/>
		<xsl:if test="count(logins/login) > 0">
			<div class="report">
				<table cellspacing='1' class="table800">
				<thead>
					<tr>
						<td nowrap='1'>PIN1</td>
						<td nowrap='1'>PIN2 (   )</td>
						<td> </td>
						<td> </td>
  					</tr>
				</thead>
				<tbody>
  					<xsl:for-each select="logins/login">
					<tr>
						<td><xsl:value-of select="@login"/></td>
						<td class="password"><xsl:value-of select="@pswd"/></td>
						<td><xsl:value-of select="@date1"/></td>
						<td><xsl:value-of select="@date2"/></td>
					</tr>
  					</xsl:for-each>
				</tbody>
				</table>
			</div>
		</xsl:if>

		<xsl:if test="logins/@hasActive!='true'">
		<br/>
			<table cellspacing='0' class="filter">
				<tr>
					<th>:</th>
					<td>
						<select name="type">
							<xsl:for-each select="types/type">
								<option><xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
									<xsl:value-of select="@title"/> 
									(  
									<xsl:if test="@days='0'"> </xsl:if>
									<xsl:if test="@days!='0'"> <xsl:value-of select="@days"/>  </xsl:if>									
									  <xsl:value-of select="@cost"/> . )
								</option>
							</xsl:for-each>
						</select>				
					</td>
					<th>PIN2:</th>
					<td><input type="password" name="pswd" size="20" /></td>
					<td>
						<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						</xsl:call-template>
					</td>
				</tr>
			</table>
		</xsl:if>
	</form>
</xsl:template>

</xsl:stylesheet>